| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Member Functions | List of all members
IG.Num.OutputElementDefinitionDto Class Reference

DTO (data transfer object) for data output element definition. More...

Inheritance diagram for IG.Num.OutputElementDefinitionDto:
[legend]
Collaboration diagram for IG.Num.OutputElementDefinitionDto:
[legend]

## Public Member Functions
| OutputElementDefinitionDto ()
override OutputElementDefinition | CreateObject ()
| Creates and returns an object consistent with current DTO. More...
Public Member Functions inherited from IG.Num.InputOutputElementDefinitionDto< ElementType >
| InputOutputElementDefinitionDto ()
override ElementType | CreateObject ()
| Creates and returns an object consistent with current DTO. More...

## Protected Member Functions
override void | CopyFromPlain (InputOutputElementDefinition obj)
override void | CopyToPlain (ref InputOutputElementDefinition obj)
Protected Member Functions inherited from IG.Num.InputOutputElementDefinitionDto< ElementType >
override void | CopyFromPlain (InputOutputElementDefinition obj)
| Copies data from the specified object to the current DTO (data transfer object). More...
override void | CopyToPlain (ref InputOutputElementDefinition obj)
| Copies data from the current DTO to the specified object. More...

## Additional Inherited Members
Public Attributes inherited from IG.Num.InputOutputElementDefinitionDto< ElementType >
string | Name
| Unique name of the data element described by the current definition. Considered a kind of variable name that distinguishes between data by short names. More...
string | NameAlt
| Alternative name of the data element described by the current definition. More...
string | Title
| A title describing what given data element represents. Titles can contain special characters and spaces, but should be shorter than descriptions. More...
string | Description
| Describes the meaning of a data element used as part of input or output data. More...
bool | IsInput
| Flag specifying whether a data element is input or output element. More...
bool | ElementIndexSpecified = false
| Specifies whether element index is specified for the data element described by the current definition. More...
int | ElementIndex = -1
| Specifies the index f the element described by the current definition, within the data vextor (either input or output). More...
bool | BoundsDefined = false
| Flag indicating whethe minimal and maximal value are defined for the input data element described by the current definition. More...
double | MinimalValue
| Minimal value for the output data element described by the current definition. More...
double | MaximalValue
| Maximal value for the output data element described by the current definition. More...
bool | TargetValueDefined = false
| Flag indicating whether target value is defined for the data element described by the current definition. More...
double | TargetValue = 0.0
| Target value of the current element. Used for optimization. More...
bool | ScalingLengthDefined = false
| Flag indicating whether scaling length is defined for the data element described by the current definition. More...
double | ScalingLength = 0.0
| Scaling length, used for optimization and other tasks where scaling of input or output quantities is important. More...

## Detailed Description

DTO (data transfer object) for data output element definition.

$A Ifor Mar11;

## Constructor & Destructor Documentation

IG.Num.OutputElementDefinitionDto.OutputElementDefinitionDto | ( |  | ) |
| inline

## Member Function Documentation

override OutputElementDefinition IG.Num.OutputElementDefinitionDto.CreateObject | ( |  | ) |
| inline

Creates and returns an object consistent with current DTO.

override void IG.Num.OutputElementDefinitionDto.CopyFromPlain | ( | InputOutputElementDefinition | obj | ) |
| inline protected

override void IG.Num.OutputElementDefinitionDto.CopyToPlain | ( | ref InputOutputElementDefinition | obj | ) |
| inline protected

The documentation for this class was generated from the following file:

- igbase/numeric/approximation/sampleddata/SampledDataDto.cs